Subject: Re: draft-ietf-6man-segment-routing-header-02

From: Tim Chown <[email-masked]>
Date: Tue, 3 Jan 2017 16:19:10 +0000

Hi,

> On 20 Dec 2016, at 19:21, Brian E Carpenter <[email-masked]> wrote:
> 
> Stefano, I think you are missing my point.
> 
> The current text in your draft is contentious. Many of us believe that
> the wording (and the intention) of RFC 2460 is clear that header insertion
> en route is forbidden. In that view, the sentence I quoted is simply false.
> My proposed sentence simply removes that contentious point completely from
> your draft:
> 
> "It is assumed in this document that the SRH is inserted in the packet by
> its source, consistently with the source routing model defined in [RFC2460]."
> 
> If you change that reference later to 2460bis, you wouldn't need to change
> the text at all.

I agree with Brian’s change.

The “For example:” in 2.2 could also be replaced by “Thus the SRH is inserted either:” to make it clear it’s either added by the originating host, or is added through encapsulation (not direct insertion) on entry to the SR domain. And nothing else.

Perhaps “add” is a better word than “insert” anyway?  

Tim

> Regards
>   Brian
> 
> On 21/12/2016 03:06, Stefano Previdi (sprevidi) wrote:
>> Hi Brian,
>> 
>> 
>>> On Dec 19, 2016, at 4:05 AM, Brian E Carpenter <[email-masked]> wrote:
>>> 
>>> Hi,
>>> 
>>> I just noticed that draft-ietf-6man-segment-routing-header-02 still says:
>>> 
>>>>  While the source routing model defined in [RFC2460] doesn't mandate
>>>>  which node is allowed to insert (or modify) the SRH, it is assumed in
>>>>  this document that the SRH is inserted in the packet by its source.
>>> 
>>> We might have less dissension if this was phrased something like:
>> 
>> 
>> draft-ietf-6man-segment-routing-header-02 refers to RFC2460 where it is indeed unspecified who is allowed (or not allowed) to insert a header.
>> 
>> When RFC2460bis will be published, we will update the draft accordingly.
>> 
>> s.
>> 
>> 
>>> 
>>> It is assumed in this document that the SRH is inserted in the packet by
>>> its source, consistently with the source routing model defined in [RFC2460].
>>> 
>>>   Brian
>>> 
>>> 
>>> 
>>> --------------------------------------------------------------------
>>> IETF IPv6 working group mailing list
>>> [email-masked]
>>> Administrative Requests: https://www.ietf.org/mailman/listinfo/ipv6
>>> --------------------------------------------------------------------
>> 
>> 
> 
> --------------------------------------------------------------------
> IETF IPv6 working group mailing list
> [email-masked]
> Administrative Requests: https://www.ietf.org/mailman/listinfo/ipv6
> --------------------------------------------------------------------
>